﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.Mvc;

namespace MultiSelect_DropDown_jQuery_MVC.Controllers
{
    public class HomeController : Controller
    {
        // GET: Home
        public ActionResult Index()
        {
            List<SelectListItem> customerList = GetCustomers();
            return View(customerList);
        }

        [HttpPost]
        public ActionResult Index(string[] customers)
        {
            List<SelectListItem> customerList = GetCustomers();
            ViewBag.Message = "";
            foreach (string customerId in customers)
            {
                SelectListItem selectedItem = customerList.Find(p => p.Value == customerId);
                ViewBag.Message += "Name: " + selectedItem.Text;
                ViewBag.Message += "\\nID: " + selectedItem.Value;
                ViewBag.Message += "\\n";
            }
            return View(customerList);
        }

        private static List<SelectListItem> GetCustomers()
        {
            CustomersEntities entities = new CustomersEntities();
            List<SelectListItem> customerList = (from p in entities.Customers.AsEnumerable()
                                                 select new SelectListItem
                                                 {
                                                     Text = p.Name,
                                                     Value = p.CustomerId.ToString()
                                                 }).ToList();


            //Add Default Item at First Position.
            customerList.Insert(0, new SelectListItem { Text = "--Select Customer--", Value = "" });

            return customerList;
        }
    }
}